import { ConvertVideoWithFfmpeg, FfmpegCodecAudio, IOPath } from '../../../../../code/type/index.js';
export declare function buildCommandToConvertVideoWithFfmpeg(input: ConvertVideoWithFfmpeg): Promise<import("../../../../../code/type/index.js").Command[]>;
export declare function buildCommandToCompressVideoWithFfmpeg(): Promise<void>;
export declare function buildCommandToConvertMP4ToGifWithFfmpeg(source: any): Promise<string[][]>;
export declare function addAudioToVideoWithFfmpeg({ inputVideoPath, inputAudioPath, outputPath, audioCodec, fit, }: {
    inputVideoPath: string;
    inputAudioPath: string;
    outputPath: string;
    fit?: boolean;
    audioCodec?: FfmpegCodecAudio;
}): Promise<string[]>;
export declare function convertVideoToAudioWithFfmpeg({ inputPath, outputPath, }: IOPath): Promise<string[]>;
export declare function removeAudioFromVideoWithFfmpeg({ inputPath, outputPath, }: IOPath): Promise<string[]>;
export declare function compressMP4WithFfmpeg(source: any): Promise<import("../../../../../code/type/index.js").CompressMp4WithFfmpeg>;
